AI
Create Eino/CALM AI test run
POST
/
v1
/
ai
/
agents
/
{agentID}
/
test-runs
Create Eino/CALM AI test run
curl --request POST \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/test-runs \
--header 'Content-Type: application/json' \
--data '
{
"scenario": "<string>",
"input": {},
"playbook_id": "<string>",
"playbook_version_id": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
scenario: '<string>',
input: {},
playbook_id: '<string>',
playbook_version_id: '<string>'
})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/test-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/test-runs"
payload = {
"scenario": "<string>",
"input": {},
"playbook_id": "<string>",
"playbook_version_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agent_id": "<string>",
"created_at": "<string>",
"id": "<string>",
"input": {},
"output": {},
"scenario": "<string>",
"started_at": "<string>",
"status": "<string>",
"summary": {},
"completed_at": "<string>",
"playbook_id": "<string>",
"playbook_version_id": "<string>",
"requested_by": "<string>",
"rerun_of": "<string>",
"results": [
{
"actual": {},
"case_key": "<string>",
"created_at": "<string>",
"expected": {},
"id": "<string>",
"notes": "<string>",
"score": 123,
"status": "<string>"
}
],
"superseded_by": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create Eino/CALM AI test run
curl --request POST \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/test-runs \
--header 'Content-Type: application/json' \
--data '
{
"scenario": "<string>",
"input": {},
"playbook_id": "<string>",
"playbook_version_id": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
scenario: '<string>',
input: {},
playbook_id: '<string>',
playbook_version_id: '<string>'
})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/test-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/test-runs"
payload = {
"scenario": "<string>",
"input": {},
"playbook_id": "<string>",
"playbook_version_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agent_id": "<string>",
"created_at": "<string>",
"id": "<string>",
"input": {},
"output": {},
"scenario": "<string>",
"started_at": "<string>",
"status": "<string>",
"summary": {},
"completed_at": "<string>",
"playbook_id": "<string>",
"playbook_version_id": "<string>",
"requested_by": "<string>",
"rerun_of": "<string>",
"results": [
{
"actual": {},
"case_key": "<string>",
"created_at": "<string>",
"expected": {},
"id": "<string>",
"notes": "<string>",
"score": 123,
"status": "<string>"
}
],
"superseded_by": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}